> ## Documentation Index
> Fetch the complete documentation index at: https://www.offlineprotocol.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search profile

> Retrieve profile details by searching with a username. Requires authentication.



## OpenAPI

````yaml get /profiles/search/{username}
openapi: 3.1.0
info:
  title: Offline Protocol API
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.offlineprotocol.com/api/v1
security: []
paths:
  /profiles/search/{username}:
    get:
      tags:
        - Profiles
      summary: Search profile
      description: >-
        Retrieve profile details by searching with a username. Requires
        authentication.
      parameters:
        - name: username
          in: path
          required: true
          description: The username to search for
          schema:
            type: string
      responses:
        '200':
          description: Profile found successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  username:
                    type: string
                  name:
                    type: string
                  bio:
                    type: string
                  socials:
                    type: object
                    additionalProperties:
                      type: string
        '401':
          description: Unauthorized
        '404':
          description: Profile not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````